ID CVE-2007-4045
Summary The CUPS service, as used in SUSE Linux before 20070720 and other Linux distributions, allows remote attackers to cause a denial of service via unspecified vectors related to an incomplete fix for CVE-2007-0720 that introduced a different denial of service problem in SSL negotiation.
References
Vulnerable Configurations
  • cpe:2.3:o:suse:suse_linux:*:*:*:*:*:*:*:*
    cpe:2.3:o:suse:suse_linux:*:*:*:*:*:*:*:*
  • cpe:2.3:a:easy_software_products:cups:*:*:*:*:*:*:*:*
    cpe:2.3:a:easy_software_products:cups:*:*:*:*:*:*:*:*
CVSS
Base: 5.0 (as of 29-09-2017 - 01:29)
Impact:
Exploitability:
CWE NVD-CWE-noinfo
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:N/I:N/A:P
oval via4
accepted 2013-04-29T04:18:41.482-04:00
class vulnerability
contributors
  • name Aharon Chernin
    organization SCAP.com, LLC
  • name Dragos Prisaca
    organization G2, Inc.
definition_extensions
  • comment The operating system installed on the system is Red Hat Enterprise Linux 3
    oval oval:org.mitre.oval:def:11782
  • comment CentOS Linux 3.x
    oval oval:org.mitre.oval:def:16651
  • comment The operating system installed on the system is Red Hat Enterprise Linux 4
    oval oval:org.mitre.oval:def:11831
  • comment CentOS Linux 4.x
    oval oval:org.mitre.oval:def:16636
  • comment Oracle Linux 4.x
    oval oval:org.mitre.oval:def:15990
description The CUPS service, as used in SUSE Linux before 20070720 and other Linux distributions, allows remote attackers to cause a denial of service via unspecified vectors related to an incomplete fix for CVE-2007-0720 that introduced a different denial of service problem in SSL negotiation.
family unix
id oval:org.mitre.oval:def:9303
status accepted
submitted 2010-07-09T03:56:16-04:00
title The CUPS service, as used in SUSE Linux before 20070720 and other Linux distributions, allows remote attackers to cause a denial of service via unspecified vectors related to an incomplete fix for CVE-2007-0720 that introduced a different denial of service problem in SSL negotiation.
version 23
redhat via4
advisories
  • rhsa
    id RHSA-2007:1022
  • rhsa
    id RHSA-2007:1023
rpms
  • cups-1:1.1.22-0.rc1.9.20.2.el4_5.2
  • cups-devel-1:1.1.22-0.rc1.9.20.2.el4_5.2
  • cups-libs-1:1.1.22-0.rc1.9.20.2.el4_5.2
  • cups-1:1.1.17-13.3.46
  • cups-devel-1:1.1.17-13.3.46
  • cups-libs-1:1.1.17-13.3.46
refmap via4
bid 26524
confirm
fedora FEDORA-2007-3100
gentoo GLSA-200712-14
mandriva MDVSA-2008:036
secunia
  • 27577
  • 27615
  • 28113
suse SUSE-SR:2007:014
statements via4
contributor Mark J Cox
lastmodified 2007-11-09
organization Red Hat
statement The Red Hat Security Response Team has rated this issue as having low security impact. Updates to correct this are available: https://rhn.redhat.com/cve/CVE-2007-4045.html
Last major update 29-09-2017 - 01:29
Published 27-07-2007 - 22:30
Back to Top